Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416181 - t460s touch screen exposed as single-touch device, multi-touch gestures not working [NEEDINFO]
Summary: t460s touch screen exposed as single-touch device, multi-touch gestures not w...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 19:12 UTC by Ian Pun
Modified: 2019-01-09 12:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:19:02 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)
evemu logs during a two-finger pinch gesture. (41.70 KB, text/plain)
2017-01-24 19:12 UTC, Ian Pun
no flags Details
hid-recorder from the Melfas touchscreen (61.22 KB, text/plain)
2017-01-27 15:19 UTC, Benjamin Tissoires
no flags Details
dmesg-4.9.4-201.fc25.x86_64.txt (83.29 KB, text/plain)
2017-01-27 15:21 UTC, Benjamin Tissoires
no flags Details
0001-HID-multitouch-fix-LG-Melfas-touchscreen.patch (4.84 KB, patch)
2017-01-27 16:25 UTC, Benjamin Tissoires
no flags Details | Diff

Description Ian Pun 2017-01-24 19:12:15 UTC
Created attachment 1244022 [details]
evemu logs during a two-finger pinch gesture.

Description of problem:

Doing any gestures on the touchscreen is not preformed correctly.


Version-Release number of selected component (if applicable):


How reproducible:

You can try pinching/zooming and it will not work. One other way to reproduce is to use gtk3-demo:Gestures app to truly replicate this issue.


Steps to Reproduce:
1. run gtk3-demo
2. run Gestures
3. try pinching/zooming

Actual results:

nothing is changed in the app draw area.


Expected results:

a square should be displayed and rotated/zoomed when touch gestures are changed.

Additional info:

Attached are some anaylsis logs of the touch screen using evemu-record while doing a two-finger pinching action. Firmware has already been updated to the latest using the lenovo app through my windows 10 partition.

Comment 1 Peter Hutterer 2017-01-25 22:51:55 UTC
Summary of evemu log: exposed as single-touch only, device is a "Melfas LGDisplay Incell Touch", but google is quiet on that one.

Is this a multitouch screen under windows?

Comment 2 Ian Pun 2017-01-25 22:54:36 UTC
(In reply to Peter Hutterer from comment #1)
> Summary of evemu log: exposed as single-touch only, device is a "Melfas
> LGDisplay Incell Touch", but google is quiet on that one.
> 
> Is this a multitouch screen under windows?

Hi Peter,

Yes it is. It has windows 10 pre-installed on it and works fine as a multitouch device in Windows.

Comment 3 Ian Pun 2017-01-25 22:54:49 UTC
(In reply to Peter Hutterer from comment #1)
> Summary of evemu log: exposed as single-touch only, device is a "Melfas
> LGDisplay Incell Touch", but google is quiet on that one.
> 
> Is this a multitouch screen under windows?

Hi Peter,

Yes it is. It has windows 10 pre-installed on it and works fine as a multitouch device in Windows.

Comment 4 Benjamin Tissoires 2017-01-26 08:02:30 UTC
Alright, that's a new one. From the evemu record, it looks like 2 fingers are exposed, but the kernel is not using hid-multitouch for some reasons...

Could you attach a hid-record output (package hid-replay), and also a dmesg of your kernel please?

Comment 5 Ian Pun 2017-01-27 15:08:24 UTC
Hi benjamin,

here is the dmesg: http://paste.fedoraproject.org/537717/48552962/

this is the hid-recorder output: http://paste.fedoraproject.org/537718/14855296/

Comment 6 Benjamin Tissoires 2017-01-27 15:19:53 UTC
Created attachment 1245160 [details]
hid-recorder from the Melfas touchscreen

Comment 7 Benjamin Tissoires 2017-01-27 15:21:30 UTC
Created attachment 1245161 [details]
dmesg-4.9.4-201.fc25.x86_64.txt

Ian, please next time attach the file, not just a link to fpaste. There is no guarantee the link will still be there in 2 weeks, while attachments stays.

Comment 8 Benjamin Tissoires 2017-01-27 15:23:45 UTC
OK, so that's a new one. The device is handled by hid-generic instead of hid-multitouch. The auto-detection doesn't work because the ContactID HID field is declared as constant while it's a requirement for it to be variable.
In the recording, ContactID is actually variable, so it looks like a badly written firmware.

I'll see what can be done for that.

Comment 9 Ian Pun 2017-01-27 15:34:53 UTC
(In reply to Benjamin Tissoires from comment #8)
> OK, so that's a new one. The device is handled by hid-generic instead of
> hid-multitouch. The auto-detection doesn't work because the ContactID HID
> field is declared as constant while it's a requirement for it to be variable.
> In the recording, ContactID is actually variable, so it looks like a badly
> written firmware.
> 
> I'll see what can be done for that.

Thank you! Sorry about the fpaste, I forgot they don't last. I'll make sure to upload them as attachments next time.

Comment 10 Benjamin Tissoires 2017-01-27 16:25:50 UTC
Created attachment 1245169 [details]
0001-HID-multitouch-fix-LG-Melfas-touchscreen.patch

Here is a very quick patch which seems to do the job on the recording you provided.

I'll start a koji build for you to test so I can push this upstream.

Comment 11 Benjamin Tissoires 2017-01-27 18:09:38 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=17440885
seems to have completed without troubles. Please test and report :)

Comment 12 Ian Pun 2017-01-27 18:28:28 UTC
(In reply to Benjamin Tissoires from comment #11)
> https://koji.fedoraproject.org/koji/taskinfo?taskID=17440885
> seems to have completed without troubles. Please test and report :)

Hi Benjamin,

Read some details about "koji" but im still not sure what I need to do on my system to test, could you briefly guide me to how I can test this for you? Thanks! :)

Comment 13 Benjamin Tissoires 2017-01-27 18:38:58 UTC
(In reply to Ian Pun from comment #12)
> Read some details about "koji" but im still not sure what I need to do on my
> system to test, could you briefly guide me to how I can test this for you?
> Thanks! :)

Just download the following files from the link I gave you in a directory:
- kernel-4.9.6-200.t460s.1416181.1.fc25.x86_64.rpm
- kernel-core-4.9.6-200.t460s.1416181.1.fc25.x86_64.rpm
- kernel-modules-4.9.6-200.t460s.1416181.1.fc25.x86_64.rpm and 
- kernel-modules-extra-4.9.6-200.t460s.1416181.1.fc25.x86_64.rpm

Run in the directory: "sudo dnf upgrade kernel*"

If dnf complains about missing dependencies (like kernel-headers), just download the corresponding file and rerun upgrade.

Then reboot, enjoy :)

Comment 14 Ian Pun 2017-01-27 20:31:22 UTC
(In reply to Benjamin Tissoires from comment #13)
> (In reply to Ian Pun from comment #12)
> > Read some details about "koji" but im still not sure what I need to do on my
> > system to test, could you briefly guide me to how I can test this for you?
> > Thanks! :)
> 
> Just download the following files from the link I gave you in a directory:
> - kernel-4.9.6-200.t460s.1416181.1.fc25.x86_64.rpm
> - kernel-core-4.9.6-200.t460s.1416181.1.fc25.x86_64.rpm
> - kernel-modules-4.9.6-200.t460s.1416181.1.fc25.x86_64.rpm and 
> - kernel-modules-extra-4.9.6-200.t460s.1416181.1.fc25.x86_64.rpm
> 
> Run in the directory: "sudo dnf upgrade kernel*"
> 
> If dnf complains about missing dependencies (like kernel-headers), just
> download the corresponding file and rerun upgrade.
> 
> Then reboot, enjoy :)

Hey Benjamin,

Just an update, its working perfectly fine now :) thank you for the quick fix!

Comment 15 Ian Pun 2017-01-27 20:40:04 UTC
(In reply to Benjamin Tissoires from comment #13)
> (In reply to Ian Pun from comment #12)
> > Read some details about "koji" but im still not sure what I need to do on my
> > system to test, could you briefly guide me to how I can test this for you?
> > Thanks! :)
> 
> Just download the following files from the link I gave you in a directory:
> - kernel-4.9.6-200.t460s.1416181.1.fc25.x86_64.rpm
> - kernel-core-4.9.6-200.t460s.1416181.1.fc25.x86_64.rpm
> - kernel-modules-4.9.6-200.t460s.1416181.1.fc25.x86_64.rpm and 
> - kernel-modules-extra-4.9.6-200.t460s.1416181.1.fc25.x86_64.rpm
> 
> Run in the directory: "sudo dnf upgrade kernel*"
> 
> If dnf complains about missing dependencies (like kernel-headers), just
> download the corresponding file and rerun upgrade.
> 
> Then reboot, enjoy :)

Also, possibly under an unrelated note, I noticed that scrolling gestures (two finger scrolling a page) doesnt work on Wayland fedora 25 on this touch screen. I tested this with Nautilus. Is this suppose to be a feature or is my touch screen still a bit wonky?

Comment 16 Benjamin Tissoires 2017-01-30 09:44:14 UTC
(In reply to Ian Pun from comment #14)
> Just an update, its working perfectly fine now :) thank you for the quick
> fix!

Thanks! I'll send this upstream ASAP then.

(In reply to Ian Pun from comment #15)
> Also, possibly under an unrelated note, I noticed that scrolling gestures
> (two finger scrolling a page) doesnt work on Wayland fedora 25 on this touch
> screen. I tested this with Nautilus. Is this suppose to be a feature or is
> my touch screen still a bit wonky?

It's not a bug. When using a touchscreen, you only need a single finger to scroll, not a two finger scroll. However, this will only work with GTK 3 applications, not others.

Comment 17 Justin M. Forbes 2017-04-11 14:46:10 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 18 Justin M. Forbes 2017-04-28 17:19:02 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.